Bug 1269349 - python-jsonpointer incorrectly depends on python3
python-jsonpointer incorrectly depends on python3
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-jsonpointer (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alan Pevec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-07 01:57 EDT by Peter Robinson
Modified: 2016-03-09 15:14 EST (History)
3 users (show)

See Also:
Fixed In Version: python-jsonpointer-1.9-4.fc24 python-jsonpointer-1.10-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-09 15:14:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2015-10-07 01:57:32 EDT
python-jsonpointer incorrectly depends on python3, where it should just be the python3-jsonpointer package:

$ dnf upgrade
Last metadata expiration check performed 0:16:31 ago on Wed Oct  7 05:38:53 2015.
Dependencies resolved.
===================================================================================================================================================================================================================
 Package                                                   Arch                                          Version                                              Repository                                      Size
===================================================================================================================================================================================================================
Installing:
 python3                                                   x86_64                                        3.4.2-6.fc22                                         updates                                         53 k
 python3-libs                                              x86_64                                        3.4.2-6.fc22                                         updates                                        6.6 M
 python3-pip                                               noarch                                        6.0.8-1.fc22                                         fedora                                         1.7 M
 python3-setuptools                                        noarch                                        17.1.1-3.fc22                                        updates                                        406 k
Upgrading:
 python-jsonpointer                                        noarch                                        1.9-2.fc22                                           updates                                         17 k

Transaction Summary
===================================================================================================================================================================================================================
Install  4 Packages
Upgrade  1 Package

Total download size: 8.8 M
Is this ok [y/N]: n
Operation aborted.
Comment 1 Alan Pevec 2015-12-18 18:49:27 EST
Requires: /usr/bin/python3 is coming from /bin/jsonpointer script, this was fixed in http://pkgs.fedoraproject.org/cgit/python-jsonpointer.git/commit/?id=eec02499041c0bb99c7e011ff5585ac929d66b3d
Comment 2 Fedora Update System 2015-12-18 19:23:34 EST
python-jsonpointer-1.10-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-9e0e06f77f
Comment 3 Fedora Update System 2015-12-19 14:58:29 EST
python-jsonpointer-1.10-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-jsonpointer'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-9e0e06f77f
Comment 4 Fedora Update System 2016-03-09 15:14:47 EST
python-jsonpointer-1.10-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.